
%define use_commit 1

# commit 3c8df68f3d949d535f61c5693e8213a34b270bd7
# Author: Erik Nelson <erik@nsk.io>
# Date:   Fri Feb 24 14:57:39 2017 -0500

%global commit 3c8df68f3d949d535f61c5693e8213a34b270bd7
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:		ansible-container
%global ver 0.2.0
%if %{use_commit}
Version:	%{ver}+9.git%{shortcommit}
%else
Version:	%{ver}
%endif
Release:	1%{?dist}
Summary:	build Docker images and orchestrate containers using only Ansible playbooks

License:	LGPL
URL:		https://www.ansible.com/ansible-container
Source0:	https://github.com/ansible/ansible-container/archive/release-%{ver}.tar.gz

%if %{use_commit}
Patch0: rel2-%{commit}.patch
%endif

# Fix requires
Patch1: newer-requires.patch

# Fix setuptools usage on el7
Patch2: el7-setuptools.patch


BuildArch: noarch

%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires: python26-devel

Requires: python26-PyYAML
Requires: python26-jinja2

%else

BuildRequires: python2-devel
BuildRequires: python-setuptools

%if (0%{?rhel} && 0%{?rhel} <= 6)
# Ansible will work with the jinja2 shipped with RHEL6 but users can gain
# additional jinja features by using the newer version
Requires: python-jinja2-26
BuildRequires: python-jinja2-26

# Distros with python < 2.7.0
BuildRequires: python-unittest2

%else
Requires: python-jinja2
BuildRequires: python-jinja2
%endif

Requires: PyYAML
%endif

# el7
BuildRequires: python-pip

Requires: docker-compose >= 1.7.0
Requires: python-docker-py >= 1.8.0
Requires: python-requests >= 2.7.0

# Requires: Ansible ??


%description
Ansible Container is a tool to build Docker images and orchestrate containers us
ing only Ansible playbooks.

%if %{use_commit}
This is a development version from commit: %{commit}
%endif

%prep
%autosetup -p1 -n %{name}-release-%{ver}


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --root=$RPM_BUILD_ROOT

# check
# ./test/run.sh

%files
%license LICENSE
%doc README.md ROADMAP.rst AUTHORS CONTRIBUTORS.md EXAMPLES.md
%{_bindir}/ansible-container
%{python_sitelib}/ansible_container-*.egg-info
%{python_sitelib}/container




%changelog
* Sun Feb 26 2017 James Antill <james@and.org> - 0.2.0-9
- Upstream refresh.

* Sun Feb 12 2017 James Antill <james@and.org> - 0.2.0-8
- Upstream refresh.

* Sun Oct 23 2016 James Antill <james@and.org> - 0.2.0-3
- Dev. builds.

* Tue Oct 18 2016 James Antill <james.antill@redhat.com> - 0.2.0-2
- Update requires.

* Tue Oct 18 2016 James Antill <james.antill@redhat.com> - 0.2.0-1
- Initial rpm.
